body {
    margin: 0;
    overflow-x: hidden;
}



body.is-open .hamburger-menu {
    transform: translateX(0);
}

#mask {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.52);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.4s ease;
    width: 100%;
    height: 100%;
    z-index: 1001;
}

body.is-open #mask {
    opacity: 1;
    pointer-events: auto;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: calc(100% - 16px);
    margin: auto;
    z-index: 1001;
    background-color: #eee;
    border-bottom: 1px solid #000;
    transition: .4s ease;
}



.header .inner {
    margin: 0 1%;
    display: grid;
    grid-template-columns: minmax(15%, 190px) auto minmax(8%, 53px);
    align-items: center;
    padding: 16px 0;
}



.header .inner .h_menu .menu-inner {
    display: flex;
    column-gap: 2%;
    justify-content: flex-end;
}

.header .inner .h_logo {
    width: 100%;
    position: relative;
    z-index: 1001;
    transition: .4s ease;
}

.header .inner .h_logo:hover {
    opacity: 50%;
}

.header .inner .h_menu .menu-item {
    position: relative;
    overflow: hidden;
}

.header .inner .h_menu .menu-item::after {
    content: "";
    width: 100%;
    height: 1px;
    background-color: #000;
    position: absolute;
    left: 0;
    bottom: 0;
    transform: translateX(-100%);
    transition: .4s ease;
}

.header .inner .h_menu .menu-item:hover::after {
    transform: translateX(0);
}

.header .inner .h_menu .menu-item p {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;
    font-size: 13px;
    color: #000;
}

.header .inner .h_menu .menu-item:hover {
    color: #005AAA;
}

.header .inner .h_menu .has-child {
    position: relative;
}

.header .inner .h_menu .menu-trigger {
    display: flex;
    align-items: center;
    gap: 4px;

}

.hamburger {
    transition: .4s ease;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 6px;
}

.hamburger:hover {
    cursor: pointer;
    opacity: 50%;
}

.hamburger::before {
    content: "Menu";
    display: block;
    font-family: "Marcellus", serif;
    font-weight: 400;
    font-size: 21px;
    letter-spacing: -0.05em;
    color: #000;
}

.hamburger .column {
    display: flex;
    gap: 12px;
    align-items: center;
    justify-content: center;
}

.hamburger .dot {
    width: 8px;
    height: 8px;
    background: #023684;
    border-radius: 50px;
}

.hamburger-menu {
    position: fixed;
    right: 0;
    top: 0;
    height: 100%;
    max-width: 50%;
    width: 100%;
    transform: translateX(100%);
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    gap: 4%;
    border-right: 8px solid #023684;
    z-index: 1005;
    transition: .4s ease;
}

.hamburger-menu .menu-inner {
    padding: 80px 60px;
    background-color: #F6F6F6;
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow-y: auto;
    gap: 32px;
}

.hamburger-menu .menu-inner .menu_bottom {
    display: none;
}

.hamburger-menu .menu-inner .menu-item {
    padding-bottom: 32px;
    border-bottom: 1px solid #023684;
    transition: .4s ease;
}

.hamburger-menu .menu-inner .menu-item:hover {
    opacity: 50%;
}

.hamburger-menu .menu-inner .menu-item p {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 500;
    font-size: 18px;
    font-size: clamp(1rem, 0.968rem + 0.13vw, 1.125rem);
    line-height: clamp(1.813rem, 1.574rem + 0.98vw, 2.75rem);
    text-align: center;
    color: #023684;
}

.hamburger-menu .menu-close {
    transition: .4s ease;
}

.hamburger-menu .menu-close:hover {
    cursor: pointer;
    opacity: 50%;
}

.hamburger-menu .menu-close .text {
    font-family: "Marcellus", serif;
    font-weight: 400;
    font-size: 37px;
    font-size: clamp(1.438rem, 1.214rem + 0.92vw, 2.313rem);
    color: #fff;
}

.hamburger-menu .menu-close img {
    width: clamp(3.5rem, 2.974rem + 2.16vw, 5.563rem);
}



@media (max-width: 1200px) {
    .h_menu {
        display: none;
    }



    .header .inner {
        max-width: 90%;
        width: 100%;
        margin: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .header .inner .h_logo {
        max-width: 190px;
    }
}

@media (max-width: 960px) {
    .header {
            width: calc(100% - 8px);
        }
    .hamburger-menu {
        max-width: 90vw;
        width: 100%;
    }

    .hamburger-menu .menu-inner {
        padding: 50px 15px;
        gap: 24px;
    }

    .hamburger-menu .menu-inner .menu-item {
        padding-bottom: 24px;
    }

    .hamburger-menu .menu-inner .menu_bottom {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .hamburger-menu .menu-inner .menu_bottom .logo {
        max-width: 90%;
        width: 100%;
        margin: auto auto 8px;
        transition: .4s ease;
    }

    .hamburger-menu .menu-inner .menu_bottom .logo:hover {
        opacity: 50%;
    }

    .hamburger-menu .menu-inner .menu_bottom .address {
        margin-bottom: 20px;
    }

    .hamburger-menu .menu-inner .menu_bottom .address p,
    .hamburger-menu .menu-inner .menu_bottom .telbox p {
        font-family: "Noto Sans JP", sans-serif;
        font-weight: 500;
        font-size: 12px;
        text-align: left;
        color: #000;
    }

    .hamburger-menu .menu-inner .menu_bottom .telbox {
        display: flex;
        align-items: center;
    }

    .hamburger-menu .menu-inner .menu_bottom .telbox a {
        transition: .4s ease;
    }

    .hamburger-menu .menu-inner .menu_bottom .telbox a:hover {
        opacity: 50%;
    }
}


.gjs-dashed .hamburger-menu {
    transform: translateX(0);
    top: 150px;
    width: 100%;
}

.gjs-dashed .hamburger-menu .menu-inner {
    padding-bottom: 200px;
}